package com.usky.pm.controller.api;

import com.usky.pm.RemotePmService;
import com.usky.pm.service.PmWorkReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDateTime;

/**
 * <p>
 *  数据统一查询 前端控制器
 * </p>
 *
 * @author f
 */
@RestController
public class PmTimedSendingApi implements RemotePmService {

    @Autowired
    private PmWorkReportService pmWorkReportService;

    @Override
    public void executeTimedSending() {
        LocalDateTime now = LocalDateTime.now();
        pmWorkReportService.timedSending(now);
    }

    @Override
    public void reportSubmissionReminder() {
        pmWorkReportService.reportSubmissionReminder();
    }

}